Skip to main content
GET
/
v1
/
products
/
{id}
/
addons
/
{addonId}
TypeScript SDK
import { Solifyn } from 'solifyn';

const solifyn = new Solifyn({ apiKey: 'your_private_api_key_here' });

// Retrieve product addon details
const addon = await solifyn.addons.get('prod_019e56a1...', 'addon_019e56a2...');
console.log('Addon Details:', addon);
{
  "productId": "prod_addon_123",
  "minQuantity": 1,
  "maxQuantity": 10,
  "priceOverride": 15,
  "isSeatAddon": true
}

Authorizations

Authorization
string
header
required

Authenticate requests using your standard bearer API key (e.g. YOUR_API_KEY).

Path Parameters

id
string
required

The parent product ID.

Example:

"prod_parent_123"

addonId
string
required

The add-on product ID.

Example:

"prod_addon_123"

Response

200 - application/json

Successfully retrieved add-on configuration.

productId
string
required

The product ID of the addon product.

Example:

"prod_addon_123"

minQuantity
number
required

Minimum quantity allowed.

Example:

1

maxQuantity
object
required

Maximum quantity allowed (null if unlimited).

Example:

10

priceOverride
object
required

Price override (null if using base product price).

Example:

15

isSeatAddon
boolean
required

Flag indicating if this is a seat/license addon.

Example:

true